高橋征義です。

2009年10月12日18:44 Yukihiro Matsumoto <matz / ruby-lang.org>:
> |[]の中で、カッコなしのメソッド呼び出しをしようとすると、1.8では
> |OKだったものが1.9ではエラーになります。これは仕様変更なのでしょうか。
> |
> |$ ruby -ve '[p 3,4]'
> |ruby 1.8.7 (2009-06-12 patchlevel 174) [i686-darwin8]
> |3
> |4
>
> 仕様変更です。
>
>  [p 3, 4]
>
> 
>
>  [(p 3), 4]
>
> なのか
>
>  [(p 3, 4)]
>
> なのかあいまいだったので、文法を整理しました。

なんと。そういう理由なんですか。ううむ、ちょっと分かりにくい
(説明しづらい)ような気もしますが、動機はわかりました。
ありがとうございました。

高橋征義 (maki / rubycolor.org)